pause workload
curl --request POST \
--url https://engine.example.com/api/v1/workloads/{workload_id}/pause \
--header 'Content-Type: application/json' \
--data '
{
"expected_revision": 1,
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://engine.example.com/api/v1/workloads/{workload_id}/pause"
payload = {
"expected_revision": 1,
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({expected_revision: 1, submission_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://engine.example.com/api/v1/workloads/{workload_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workloads/{workload_id}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expected_revision' => 1,
'submission_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workloads/{workload_id}/pause"
payload := strings.NewReader("{\n \"expected_revision\": 1,\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/workloads/{workload_id}/pause")
.header("Content-Type", "application/json")
.body("{\n \"expected_revision\": 1,\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workloads/{workload_id}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"expected_revision\": 1,\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"workload": {
"created_at": {
"unix_millis": 123
},
"definition": {
"dependencies": [
{
"downstream": "<string>",
"input_name": "<string>",
"upstream": "<string>"
}
],
"name": "<string>",
"tasks": [
{
"local_relations": {},
"name": "<string>",
"named_arguments": {},
"positional_arguments": [
"<unknown>"
],
"query": {
"Sql": "<string>"
},
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
},
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"worker_scope": "Task",
"xray": true,
"control": {
"retry": {
"backoff": "fixed",
"initial_delay_seconds": 1,
"jitter_percent": 1,
"max_attempts": 1,
"max_delay_seconds": 1,
"python_replay_safe": true
},
"sensor": {
"condition": {
"kind": "object_exists",
"url": "<string>"
},
"poll_interval_seconds": 1,
"timeout_seconds": 1
}
},
"incremental_source": {
"branch": "<string>",
"table": {
"catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"namespace": [
"<string>"
]
}
},
"python": "<string>"
}
],
"parameters": {},
"workflow": {
"data_windows": true,
"notifications": [
{
"channel": {
"kind": "webhook",
"secret": "<string>",
"url": "<string>"
},
"events": [
"run_started"
],
"max_attempts": 1,
"name": "<string>"
}
]
}
},
"kind": "Standalone",
"latest_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run_at": {
"unix_millis": 123
},
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>"
},
"policy": "Manual",
"requested_options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"revision": 1,
"scheduling_status": "Active",
"updated_at": {
"unix_millis": 123
},
"workload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"streaming": {
"active_batch_id": 1,
"active_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failure": "<string>",
"last_completed_batch_id": 1,
"next_trigger_at": {
"unix_millis": 123
},
"status": "Running"
}
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Pause workload
pause workload. POST /api/v1/workloads//pause. Uses the same payload, validation, revision checks and response as the unified HTTP API.
pause workload
curl --request POST \
--url https://engine.example.com/api/v1/workloads/{workload_id}/pause \
--header 'Content-Type: application/json' \
--data '
{
"expected_revision": 1,
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://engine.example.com/api/v1/workloads/{workload_id}/pause"
payload = {
"expected_revision": 1,
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({expected_revision: 1, submission_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://engine.example.com/api/v1/workloads/{workload_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workloads/{workload_id}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expected_revision' => 1,
'submission_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workloads/{workload_id}/pause"
payload := strings.NewReader("{\n \"expected_revision\": 1,\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/workloads/{workload_id}/pause")
.header("Content-Type", "application/json")
.body("{\n \"expected_revision\": 1,\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workloads/{workload_id}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"expected_revision\": 1,\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"workload": {
"created_at": {
"unix_millis": 123
},
"definition": {
"dependencies": [
{
"downstream": "<string>",
"input_name": "<string>",
"upstream": "<string>"
}
],
"name": "<string>",
"tasks": [
{
"local_relations": {},
"name": "<string>",
"named_arguments": {},
"positional_arguments": [
"<unknown>"
],
"query": {
"Sql": "<string>"
},
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
},
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"worker_scope": "Task",
"xray": true,
"control": {
"retry": {
"backoff": "fixed",
"initial_delay_seconds": 1,
"jitter_percent": 1,
"max_attempts": 1,
"max_delay_seconds": 1,
"python_replay_safe": true
},
"sensor": {
"condition": {
"kind": "object_exists",
"url": "<string>"
},
"poll_interval_seconds": 1,
"timeout_seconds": 1
}
},
"incremental_source": {
"branch": "<string>",
"table": {
"catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"namespace": [
"<string>"
]
}
},
"python": "<string>"
}
],
"parameters": {},
"workflow": {
"data_windows": true,
"notifications": [
{
"channel": {
"kind": "webhook",
"secret": "<string>",
"url": "<string>"
},
"events": [
"run_started"
],
"max_attempts": 1,
"name": "<string>"
}
]
}
},
"kind": "Standalone",
"latest_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run_at": {
"unix_millis": 123
},
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>"
},
"policy": "Manual",
"requested_options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"revision": 1,
"scheduling_status": "Active",
"updated_at": {
"unix_millis": 123
},
"workload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"streaming": {
"active_batch_id": 1,
"active_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failure": "<string>",
"last_completed_batch_id": 1,
"next_trigger_at": {
"unix_millis": 123
},
"status": "Running"
}
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026